<template>
  <v-btn
    outlined
    :href="fileUrl"
    :download="filename"
  >
    <span>{{ filename }}</span>
    <v-icon right>
      mdi-cloud-download
    </v-icon>
  </v-btn>
</template>

<script>
export default {
  name: 'DownloadFileBtn',
  props: {
    sync: {
      type: Object,
      required: true,
    },
    fileType: {
      type: String,
      default: 'ORIGINAL',
    },
  },
  computed: {
    filename() {
      return this.fileType === 'ORIGINAL' ? 'original.csv' : 'errores.csv';
    },
    fileUrl() {
      return this.sync?.fileUrl ?? '';
    },
  },
};
</script>
